NamingResourcesSF (Tomcat API Documentation)
Keywords: org.apache.catalina.storeconfig.NamingResourcesSF class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.storeconfig
Class NamingResourcesSF

    java.lang.Object
      org.apache.catalina.storeconfig.StoreFactoryBase
          org.apache.catalina.storeconfig.NamingResourcesSF

All Implemented Interfaces:
  IStoreFactory

public class NamingResourcesSF
extends StoreFactoryBase

Store server.xml elements Resources at context and GlobalNamingResources

Author:
  Peter Rossbach

Field Summary

Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`sm`

Constructor Summary
`NamingResourcesSF()`

Method Summary
`void` | `store(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement)` Store the only the NamingResources elements
`void` | `storeChilds(java.io.PrintWriter aWriter, int indent, java.lang.Object aElement, StoreDescription elementDesc)` Store the specified NamingResources properties.

Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase
`getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingResourcesSF

    public NamingResourcesSF()

Method Detail

### store

    public void store(java.io.PrintWriter aWriter,
                      int indent,
                      java.lang.Object aElement)
               throws java.lang.Exception

  Store the only the NamingResources elements

  Specified by:
    `store` in interface `IStoreFactory`
  Overrides:
    `store` in class `StoreFactoryBase`
  Throws:
    `java.lang.Exception`
  See Also:
    `storeChilds(PrintWriter, int, Object, StoreDescription)`

### storeChilds

    public void storeChilds(java.io.PrintWriter aWriter,
                            int indent,
                            java.lang.Object aElement,
                            StoreDescription elementDesc)
                     throws java.lang.Exception

  Store the specified NamingResources properties.

  Overrides:
    `storeChilds` in class `StoreFactoryBase`
  Parameters:
    `aWriter` - PrintWriter to which we are storing
    `indent` - Number of spaces to indent this element
    `aElement` - Object whose properties are being stored
    `elementDesc` - element descriptor
  Throws:
    `java.lang.Exception` - if an exception occurs while storing
  See Also:
    `StoreFactoryBase.storeChilds(java.io.PrintWriter, int, java.lang.Object, StoreDescription)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.